package com.qmth.distributed.print.business.mapper;

import com.qmth.distributed.print.business.bean.result.ProfessionalCourseSelectResult;
import com.qmth.distributed.print.business.entity.TPCourse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 专业认证课程 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface TPCourseMapper extends BaseMapper<TPCourse> {

    List<ProfessionalCourseSelectResult> queryList(@Param("professionalId") Long professionalId, @Param("orgIdSet") Set<Long> orgIdSet);
}
